public static interface CxfEndpointBuilderFactory.CxfBuilders
| Modifier and Type | Method and Description |
|---|---|
default CxfEndpointBuilderFactory.CxfEndpointBuilder |
cxf(String path)
CXF (camel-cxf)
Expose SOAP WebServices using Apache CXF or connect to external
WebServices using CXF WS client.
|
default CxfEndpointBuilderFactory.CxfEndpointBuilder |
cxf(String componentName,
String path)
CXF (camel-cxf)
Expose SOAP WebServices using Apache CXF or connect to external
WebServices using CXF WS client.
|
default CxfEndpointBuilderFactory.CxfEndpointBuilder cxf(String path)
cxf:beanId:address
Path parameter: beanId
To lookup an existing configured CxfEndpoint. Must used bean: as
prefix.
Path parameter: address
The service publish address.path - beanId:addressdefault CxfEndpointBuilderFactory.CxfEndpointBuilder cxf(String componentName, String path)
cxf:beanId:address
Path parameter: beanId
To lookup an existing configured CxfEndpoint. Must used bean: as
prefix.
Path parameter: address
The service publish address.componentName - to use a custom component name for the endpoint
instead of the default namepath - beanId:addressApache Camel